routes/admin.php
<?php

use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

Route::group(['as' => 'users.', 'prefix' => 'users'], function() {
    Route::get('/', [UserController::class, 'index'])->name('view');
});

routes/web.php
<?php

use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\WebHomeController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [WebHomeController::class, 'index'])->name('web-home');

Route::get('authentication', [LoginController::class, 'showLoginForm'])->name('showLogin');
Route::get('login', [LoginController::class, 'showLoginForm']);
Route::get('register', [LoginController::class, 'showLoginForm']);
Route::post('login', [LoginController::class, 'login'])->name('login');
Route::post('requestOTP', [LoginController::class, 'requestOTP'])->name('requestOTP');

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
// Route::get('getAllCustomers', [App\Http\Controllers\StripeController::class, 'getAllCustomers'])->name('getAllCustomers');
// Route::get('getCustomer/{customer_id}', [App\Http\Controllers\StripeController::class, 'getCustomer'])->name('getCustomer');

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    @include('layouts.header')
</head>

<body class="hold-transition dark-mode sidebar-mini layout-fixed layout-navbar-fixed layout-footer-fixed">
    <div class="wrapper">
        <nav class="main-header navbar navbar-expand navbar-dark">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
            </ul>

            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#"
                        role="button" onclick="logoutPopup()">
                        <i class="zmdi zmdi-power"></i>
                    </a>
					<form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
						@csrf
					</form>
                </li>
            </ul>
        </nav>

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <a href="{{ route('web-home') }}" class="brand-link">
                <img src="{{ asset('/resources/img/logo.png') }}" alt="" class="brand-image"/>
					<span class="brand-text font-weight-light text">
						<span class="">
                            {{ config('app.name') }}
                        </span>
					</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user panel (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="{{ asset('/resources/img/user.png') }}" class="img-circle elevation-2" alt="" />
                    </div>
                    <div class="info">
                        <a href="" class="d-block">Howdy  {{ auth()->user()->first_name }}</a>
                    </div>
                </div>


                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <li class="nav-item">
                            <a href="{{ route('home') }}" class="nav-link  {{ Route::is('home') ? 'active' : '' }}">
                                <i class="nav-icon zmdi zmdi-view-dashboard"></i>
                                <p>Dashboard</p>
                            </a>
                        </li>

						<li class="nav-item">
                            <a href="{{ route('short-url.view') }}" class="nav-link {{ Route::is('short-url.*') ? 'active' : '' }}">
                                <i class="nav-icon zmdi zmdi-link"></i>
                                <p>Manage Short URL</p>
                            </a>
                        </li>

						<li class="nav-item">
                            <a href="{{ route('api-doc.view') }}" class="nav-link {{ Route::is('api-doc.*') ? 'active' : '' }}">
                                <i class="nav-icon zmdi zmdi-code"></i>
                                <p>API Documentation</p>
                            </a>
                        </li>
						<li class="nav-item">
                            <a href="{{ route('api-logs') }}" class="nav-link {{ Route::is('api-logs') ? 'active' : '' }}">
                                <i class="nav-icon zmdi zmdi-file-text"></i>
                                <p>API Logs</p>
                            </a>
                        </li>

                        {{-- <li class="nav-item">
                            <a href="{{ route('subscription.view') }}" class="nav-link {{ Route::is('subscription.view') ? 'active' : '' }}">
                                <i class="nav-icon fa fa-usd"></i>
                                <p>My Subscription</p>
                            </a>
                        </li> --}}
                        
                        @if (auth()->user()->is_admin)
                        <li class="nav-item">
                            <a href="{{ route('users.view') }}" class="nav-link">
                                <i class="nav-icon fa fa-users"></i>
                                <p>Manage Users</p>
                            </a>
                        </li>
                        @endif
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-12">
							<h3 class="m-0">{{ $page_title ?? "" }}</h3>
						</div>
					</div>
				</div>
			</div>

			<section class="content">
				<div class="container-fluid">
					@yield('content')
				</div>
			</section>
        </div>
        <!-- /.content-wrapper -->

        <!-- Main Footer -->
        <footer class="main-footer">
            Powered by&nbsp;
            <strong class="font-pacifico">Fast Pigeon</strong>&nbsp;Enterprise
            <div class="float-right d-none d-sm-inline-block">
                <b>Version</b> 1.0.1
            </div>
        </footer>
    </div>
    <!-- ./wrapper -->

    <script src="{{ asset('/resources/admin/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
    <script src="{{ asset('/resources/admin/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js') }}"></script>
    <script src="{{ asset('/resources/admin/js/adminlte.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <script>
        $(document).ready(function() {
            catchResponse()
        });

        function catchResponse() {
            var allErrors = ('{{ $errors->first() }}');
            if (allErrors) {
                showMessage("error", allErrors)
            }
            var allSuccess = ('{{ session('success') }}');
            if (allSuccess) {
                showMessage("success", allSuccess)
            }
        }

        function showMessage(type = "success", context) {
            toastr.options = {
                "closeButton": false,
                "debug": false,
                "newestOnTop": true,
                "progressBar": false,
                "positionClass": "toast-top-right",
                "preventDuplicates": true,
                "onclick": null,
                "showDuration": "300",
                "hideDuration": "1000",
                "timeOut": "5000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut"
            }
            switch (type) {
                case "error":
                    toastr.error(context)
                    break;
                case "warning":
                    toastr.warning(context)
                    break;
                case "success":
                    toastr.success(context)
            }
        }

        function logoutPopup() {
            Swal.fire({
                title: 'Alert!',
                text: 'Are you sure you want to log out?',
                icon: 'question',
                showCancelButton: true,
                cancelButtonText: 'No',
                confirmButtonText: 'Yes',
                confirmButtonColor: '#d33724',
                reverseButtons: true
            }).then((result) => {
                if (result.value) {
                    document.getElementById('logout-form').submit();
                }
            });
        }
    </script>
</body>

</html>

resources/views/layouts/auth-v1.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    @include('layouts.header')
</head>

<body class="hold-transition login-page dark-mode bg-gradient-dark">
    <div class="login-box">
        <div class="card card-outline card-success">
            <div class="card-header text-center">
                <a href="{{ route('web-home') }}" class="h1">
					{{ config('app.name') }}
				</a>
            </div>
            <div class="card-body">
                <p class="login-box-msg">Sign In / Sign Up to start session</p>

                <form method="POST" action="{{ route('login') }}" id="login-form">
					@csrf
					<input type="hidden" name="country_code" value="{{ $country }}">
					<input type="hidden" name="dial_code" value="" id="dial-code">
                    <div class="input-group mb-3">
						<div class="input-group-prepend">
							<span class="input-group-text">
								<img 
									src="https://flagcdn.com/{{ Str::lower($country) }}.svg"
									alt="" 
									srcset=""
									width="24"
								>
							</span>
						</div>
                        <input 
							type="tel" 
							class="form-control" 
							placeholder="Mobile Number" 
							name="mobile_number" 
							required 
							id="mobile_number"
						>
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <span class="fas fa-mobile-alt"></span>
                            </div>
                        </div>
                    </div>
                    <div class="input-group mb-3" id="otp-textbox">
                        <input type="text" class="form-control" placeholder="One Time Password" maxlength="6" name="otp">
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <span class="fas fa-lock"></span>
                            </div>
                        </div>
                    </div>
					<div class="input-group mb-3" id="captcha-container">
						<div id="recaptcha-container"></div>
					</div>
                    <div class="row">
                        <div class="col-12">
							<button id="otp-button" type="button" class="btn btn-primary btn-block" onclick="requestOTP()">Get OTP</button>
                            <button id="submit-button" type="button" class="btn btn-primary btn-block" onclick="submitButtonClicked()">Sign In</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

	<form action="{{ route('requestOTP') }}" method="post" id="request-otp">
		@csrf
		<input type="hidden" name="mobile_number" id="otp-mobile" value="" required>
		<input type="hidden" name="dial_code" id="dial-code" value="" required>
	</form>
	<script src="{{ asset('/resources/admin/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
    <script src="{{ asset('/resources/admin/js/adminlte.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
	<script src="https://www.gstatic.com/firebasejs/6.0.2/firebase.js"></script>
	
	<script>
		$(document).ready(function() {
		    catchResponse()
			const mobileNumber = '{{ session("mobile_number") }}';
			if(mobileNumber) {
				$('#mobile_number').val(mobileNumber);
				$("#mobile_number").prop("readonly", true);
				showOTPField();
				console.info(mobileNumber);
			} else {
				fetchCountryData('{{ $country }}');
				hideOTPField();
			}
		});

		function catchResponse() {
            var allErrors = ('{{ $errors->first() }}');
            if (allErrors) {
			    showMessage("error", allErrors)
            }
            var allSuccess = ('{{ session("success") }}');
            if (allSuccess) {
		    	showMessage("success", allSuccess)
            }
        }

		function showMessage(type="success", context) {
		    toastr.options = {
  		    	"closeButton": false,
  		    	"debug": false,
  		    	"newestOnTop": true,
  		    	"progressBar": false,
  		    	"positionClass": "toast-top-right",
  		    	"preventDuplicates": true,
  		    	"onclick": null,
  		    	"showDuration": "300",
  		    	"hideDuration": "1000",
  		    	"timeOut": "5000",
  		    	"extendedTimeOut": "1000",
  		    	"showEasing": "swing",
  		    	"hideEasing": "linear",
  		    	"showMethod": "fadeIn",
  		    	"hideMethod": "fadeOut"
		    }
		    switch (type) {
		    	case "error":
		    		toastr.error(context)
		    		break;
		    	case "warning":
		    		toastr.warning(context)
		    		break;
		    	case "success":
		    		toastr.success(context)
		    }
		}

		function submitButtonClicked() {
			const county = '{{ $country }}';
			if(county != "IN") {
				const otp = $('#otp').val();
				verifyOTP(otp);
			} else {
				fetchCountryDataAndGoForLogin(county);
			}
			
		}

		function requestOTP() {
			const mobileValue = $('#mobile_number').val();
			if(!mobileValue) {
				showMessage("error", "Please enter mobile number")
				return;
			}
			requestOTPForMobileNumber('{{ $country }}', mobileValue);
        }

		function hideOTPField() {
			$('#otp-button'). attr("disabled", true);
			const county = '{{ $country }}';
			if(county != "IN") {
				window.recaptchaVerifier = new firebase.auth.RecaptchaVerifier(
					'recaptcha-container', 
					{
					'theme': 'dark',
					'callback': function (response) {
						captchaResponse = response;
						$('#otp-button'). attr("disabled", false);
					}
				});
            	recaptchaVerifier.render();
			} else {
				$('#otp-button'). attr("disabled", false);
			}
			$('#otp-textbox').css('display', 'none');
			$('#otp-button').css('display', 'block');
			$('#submit-button').css('display', 'none');
		}

		function showOTPField() {
			$('#captcha-container').css('display', 'none');
			$('#otp-button').css('display', 'none');
			$('#submit-button').css('display', 'block');
		}
	</script>
	@if ($country != "IN")
	<script src="{{ asset('/resources/admin/js/firebase-config.js') }}"></script>
	@endif
	
	<script src="{{ asset('/resources/admin/js/mobile-otp.js') }}"></script>
</body>

</html>

resources/views/layouts/header.blade.php
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
@include('layouts.metamanager')
<title>
    {{ config('app.name') }} {{ ($page_title ?? "") != "" ? ("- " . $page_title) : ("- " . config('app.app_name')) }}
</title>
<!--favicon-->
<link rel="apple-touch-icon" sizes="180x180" href="{{ asset('/resources/img/logo.png') }}" />
<link rel="icon" type="image/png" sizes="32x32" href="{{ asset('/resources/img/logo.png') }}" />
<link rel="icon" type="image/png" sizes="16x16" href="{{ asset('/resources/img/logo.png') }}" />

<link href="{{ asset('/resources/admin/css/icons.css') }}" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="{{ asset('/resources/admin/plugins/overlayScrollbars/css/OverlayScrollbars.min.css') }}"/>
<link rel="stylesheet" href="{{ asset('/resources/admin/plugins/fontawesome-free/css/all.css') }}" />
<link href="{{ asset('/resources/admin/css/style.css') }}" rel="stylesheet" />
<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
<script src="https://code.jquery.com/jquery-3.7.0.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>